package extensions.generic;
import org.escience.XSIL.*;
import java.util.*;

public class parseXMLList extends XSIL {
    public Vector appLists;
    public Vector appListsName;

    public Vector geometries;
    public Vector geometriesName;

    public void construct(){
	appLists = new Vector();
	appListsName = new Vector();

	geometries = new Vector();
	geometriesName = new Vector();

	XSIL x;
	for(int i=0; i<getChildCount(); i++){
	    x = getChild(i);
	    if(x instanceof parseXMLDesc) {
		appLists.addElement((parseXMLDesc)x);
		appListsName.addElement(x.getName());
            }

	    if(x instanceof Plot3D) {
		geometries.addElement((Plot3D)x);
		geometriesName.addElement(x.getName());
            }

	}
    }

    public Vector getParseXMLappLists() {
        return appLists;
    }

    public Vector getParseXMLappListsName() {
        return appListsName;
    }

    public Vector getParseXMLgeometries() {
	return geometries;
    }

    public Vector getParseXMLgeometriesName() {
	return geometriesName;
    }

    public String toString() {
	String ret = super.toString();
	ret += " [" + appLists.size() + " parseXMLappListDesc]"+"\n";
	ret += " [" + geometries.size() + " geometries]";
	return ret;
    }

    public String toLongString(){
	String s = toString();
	return s + "\n";
    }
}


